Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.portletservice.credentialvault.credentials
Class JaasSubjectCredential

    java.lang.Object
      com.ibm.wps.portletservice.credentialvault.credentials.Credential
          com.ibm.wps.portletservice.credentialvault.credentials.ActiveCredential
              com.ibm.wps.portletservice.credentialvault.credentials.JaasSubjectCredential

All Implemented Interfaces:
  ActiveCredential, Credential, JaasSubjectCredential, java.io.Serializable

Direct Known Subclasses:
  LtpaTokenCredential, SiteMinderTokenCredential, SSMTokenCredential, WebSealTokenCredential

Deprecated. since 6.0. Support of the IBM portlet API may be removed in a future release of WebSphere Portal. Use of the Java Portlet API (javax.portlet) is recommended instead.

    public abstract class JaasSubjectCredential

extends ActiveCredential
implements JaasSubjectCredential

Abstract subclass of ActiveCredential where the user's secret is a `JAAS Subject` pair. Preconditions:

- The configuration data passed to the constructor must define following values: KEY_CREDENTIAL_SECRET (in addition to the ones required by `ActiveCredential`)

Since:
  WP 5.1.0.1
See Also:
  Serialized Form

Field Summary
`protected JaasSubjectCredentialSecret` | `secret` Deprecated.

Fields inherited from class com.ibm.wps.portletservice.credentialvault.credentials.Credential
`LOGGER_NAME`

Fields inherited from interface com.ibm.portal.portlet.service.credentialvault.credentials.Credential
`KEY_CREDENTIAL_SECRET`

Constructor Summary
`JaasSubjectCredential()` Deprecated.

Method Summary
`abstract java.net.HttpURLConnection` | `getAuthenticatedConnection(java.lang.String url)` Deprecated. Returns a new Http URL connection with added authentication data.
`abstract java.net.HttpURLConnection` | `getAuthenticatedConnection(java.net.URL url)` Deprecated. Returns a new Http URL connection with added authentication data.
`int` | `getSecretType()` Deprecated. Returns the credential's Secret Type in terms of the constants declared in `CredentialVaultService` Should be overwritten by any child class that "overwrites" the secret attribute.
`void` | `init(java.util.Map<java.lang.String,java.lang.Object> config)` Deprecated. Creates a new JaasSubjectCredential.

Methods inherited from class com.ibm.wps.portletservice.credentialvault.credentials.ActiveCredential
`isActive`

Methods inherited from class com.ibm.wps.portletservice.credentialvault.credentials.Credential
`checkInitialized`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.ibm.portal.portlet.service.credentialvault.credentials.ActiveCredential
`isActive`

Field Detail

### secret

    protected JaasSubjectCredentialSecret secret

  Deprecated.

Constructor Detail

### JaasSubjectCredential

    public JaasSubjectCredential()

  Deprecated.

Method Detail

### init

    public void init(java.util.Map<java.lang.String,java.lang.Object> config)
              throws CredentialVaultException

  Deprecated.
  Creates a new JaasSubjectCredential.

  Specified by:
    `init` in interface `Credential`
  Specified by:
    `init` in interface `JaasSubjectCredential`
  Overrides:
    `init` in class `Credential`
  Parameters:
    `config` - The configuration needed to initialize this credential:
    - KEY_CREDENTIAL_SECRET JaasSubjectCredentialSecret - the credential's secret (mandatory)
  Throws:
    `CredentialVaultException` - If any mandatory parameter is missing or has a wrong object type as value.

### getSecretType

    public int getSecretType()

  Deprecated.
  Description copied from class: `Credential`
  Returns the credential's Secret Type in terms of the constants declared in `CredentialVaultService` Should be overwritten by any child class that "overwrites" the secret attribute.

  Specified by:
    `getSecretType` in interface `Credential`
  Specified by:
    `getSecretType` in interface `JaasSubjectCredential`
  Overrides:
    `getSecretType` in class `Credential`
  Returns:
    int Credential Secret Type identifier
  See Also:
    `CredentialVaultService`

### getAuthenticatedConnection

    public abstract java.net.HttpURLConnection getAuthenticatedConnection(java.net.URL url)
                                                                   throws java.io.IOException

  Deprecated.
  Returns a new Http URL connection with added authentication data.

  Specified by:
    `getAuthenticatedConnection` in interface `JaasSubjectCredential`
  Parameters:
    `url` - the target URL for the connection. Note that it need not be opened yet.
  Returns:
    HttpURLConnection A new authenticated (and yet uncommitted) connection
  Throws:
    `java.io.IOException` - thrown if anything unexpected happened

### getAuthenticatedConnection

    public abstract java.net.HttpURLConnection getAuthenticatedConnection(java.lang.String url)
                                                                   throws java.io.IOException

  Deprecated.
  Returns a new Http URL connection with added authentication data.

  Specified by:
    `getAuthenticatedConnection` in interface `JaasSubjectCredential`
  Parameters:
    `url` - the target URL for the connection
  Returns:
    HttpURLConnection A new authenticated (and yet uncommitted) connection.
  Throws:
    `java.io.IOException` - thrown if anything unexpected happened.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD